Subject: Re: mv643xx_eth SA_SHIRQ support patch

From: Sven Luther <[email-masked]>
Date: Tue, 8 Mar 2005 13:42:01 +0100

On Tue, Mar 08, 2005 at 01:15:01PM +0100, Sven Luther wrote:
> On Tue, Mar 08, 2005 at 05:20:48AM -0700, Dale Farnsworth wrote:
> > On Tue, Mar 08, 2005 at 06:27:12PM +1100, Benjamin Herrenschmidt wrote:
> > > > Notice that benh is telling me that you should use SA_SHIRQ always and that
> > > > SA_INTERRUPT should go away, and that you should contact him online if you
> > > > have trouble with that.
> > > > 
> > > > > For the pegasos 2, you'll need the second patch which applies after
> > > > > the one I previously sent for chrp_setup.c.
> > > > 
> > > > Ok, will test this anyway, and tell you how it works.
> > > 
> > > GHeh, ok, just picked up the discussion. Yes, there is really no reason
> > > to use SA_INTERRUPT here, this is a thing of the past.
> > 
> > Excellent.  Thanks.
> > 
> > Here's a new patch to try.  :-)
> 
> Hehe, i did that myself :)
> 
> Anyway, i have another problem though, namely that even though i do
> arch_initcall(mv643xx_eth_add_pds), mv643xx_eth_add_pds is never called, and
> in the mv643xx_eth driver itself, altough the module init is done, _probe
> never gets called. I will now do a build without any #ifdefs around the
> chrp_setup.c stuff (And Christophe Hellwig proposed moving the stuff into
> arch/ppc/platform/pegasos_mv643xx_eth.c), and see if that will solve it.
> 
> Also going to add the explicit detection of the marvell bridge in the OF tree,
> but need to decide what to check for there.

Ah, yes, indifinitely a problem with the #ifdefs, will submit a cleaned up
patch in a bit.

Friendly,

Sven Luther